JSONParser (Grails 6.0.0)

Package: org.grails.web.json.parser

## [Java] Class JSONParser

- org.grails.web.json.parser.JSONParser

- All Implemented Interfaces and Traits:
    JsonParserConstants

      @java.lang.SuppressWarnings("all")
      public final class JSONParser
      extends java.lang.Object
      implements JsonParserConstants

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List` | `jj_expentries` |
    `private int[]` | `jj_expentry` |
    `private int` | `jj_gen` |
    `SimpleCharStream` | `jj_input_stream` |
    `private int` | `jj_kind` |
    `private int[]` | `jj_la1` |
    `private static int[]` | `jj_la1_0` |
    `Token` | `jj_nt` | Next token.
    `private int` | `jj_ntk` |
    `Token` | `token` | Current token.
    `JsonParserTokenManager` | `token_source` | Generated Token Manager.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JSONParser (java.io.InputStream stream)` Constructor with InputStream.
    `JSONParser (java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
    `JSONParser (java.io.Reader stream)` Constructor.
    `JSONParser (JsonParserTokenManager tm)` Constructor with generated Token Manager.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private final java.lang.String` | `Digits()`
    `` | `private final void` | `Elements(JSONArray array)`
    `` | `private final JSONArray` | `JsonArray()`
    `` | `private final java.lang.String` | `JsonExp()`
    `` | `private final java.lang.String` | `JsonFrac()`
    `` | `private final java.lang.String` | `JsonInt()`
    `` | `private final java.lang.Object` | `JsonNull()`
    `` | `private final java.lang.Object` | `JsonNumber()`
    `` | `private final JSONObject` | `JsonObject()`
    `` | `private final java.lang.Object` | `JsonPrimitive()`
    `` | `private final java.lang.String` | `JsonString()`
    `` | `private final java.lang.Object` | `JsonValue()`
    `` | `private final void` | `Members(JSONObject o)`
    `` | `private final void` | `Pair(JSONObject o)`
    `` | `public void` | `ReInit(java.io.InputStream stream)` Reinitialise.
    `` | `public void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
    `` | `public void` | `ReInit(java.io.Reader stream)` Reinitialise.
    `` | `public void` | `ReInit(JsonParserTokenManager tm)` Reinitialise.
    `` | `private final int` | `addElementAndGetNextToken(JSONArray array)`
    `` | `public final void` | `disable_tracing()` Disable tracing.
    `` | `public final void` | `enable_tracing()` Enable tracing.
    `` | `public ParseException` | `generateParseException()` Generate ParseException.
    `` | `public final Token` | `getNextToken()` Get the next Token.
    `` | `public final Token` | `getToken(int index)` Get the specific Token.
    `` | `private Token` | `jj_consume_token(int kind)`
    `` | `private static void` | `jj_la1_init_0()`
    `` | `private int` | `jj_ntk()`
    `` | `public final java.lang.Object` | `parse()`
    `` | `public final JSONElement` | `parseJSON()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.List jj_expentries

    - #### private int[] jj_expentry

    - #### private int jj_gen

    - #### SimpleCharStream jj_input_stream

    - #### private int jj_kind

    - #### private final int[] jj_la1

    - #### private static int[] jj_la1_0

    - #### public Token jj_nt

      Next token.

    - #### private int jj_ntk

    - #### public Token token

      Current token.

    - #### public JsonParserTokenManager token_source

      Generated Token Manager.

  - ### Constructor Detail

    - #### public JSONParser(java.io.InputStream stream)

      Constructor with InputStream.

    - #### public JSONParser(java.io.InputStream stream, java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### public JSONParser(java.io.Reader stream)

      Constructor.

    - #### public JSONParser(JsonParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### private final java.lang.String Digits()

    - #### private final void Elements(JSONArray array)

    - #### private final JSONArray JsonArray()

    - #### private final java.lang.String JsonExp()

    - #### private final java.lang.String JsonFrac()

    - #### private final java.lang.String JsonInt()

    - #### private final java.lang.Object JsonNull()

    - #### private final java.lang.Object JsonNumber()

    - #### private final JSONObject JsonObject()

    - #### private final java.lang.Object JsonPrimitive()

    - #### private final java.lang.String JsonString()

    - #### private final java.lang.Object JsonValue()

    - #### private final void Members(JSONObject o)

    - #### private final void Pair(JSONObject o)

    - #### public void ReInit(java.io.InputStream stream)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream stream, java.lang.String encoding)

      Reinitialise.

    - #### public void ReInit(java.io.Reader stream)

      Reinitialise.

    - #### public void ReInit(JsonParserTokenManager tm)

      Reinitialise.

    - #### private final int addElementAndGetNextToken(JSONArray array)

    - #### public final void disable_tracing()

      Disable tracing.

    - #### public final void enable_tracing()

      Enable tracing.

    - #### public ParseException generateParseException()

      Generate ParseException.

    - #### public final Token getNextToken()

      Get the next Token.

    - #### public final Token getToken(int index)

      Get the specific Token.

    - #### private Token jj_consume_token(int kind)

    - #### private static void jj_la1_init_0()

    - #### private int jj_ntk()

    - #### public final java.lang.Object parse()

    - #### public final JSONElement parseJSON()